> ## Documentation Index
> Fetch the complete documentation index at: https://juridiqsoftware.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Criar subtarefa



## OpenAPI

````yaml https://api.juridiq.com.br/api-docs/client/openapi.json post /task/subtasks
openapi: 3.1.0
info:
  title: Juridiq API — Documentação para Integradores
  description: ''
  version: 1.0.0
servers:
  - url: https://api.juridiq.com.br
    description: Production server
security:
  - apiKeyAuth: []
tags: []
paths:
  /task/subtasks:
    post:
      tags:
        - Tasks
      summary: Criar subtarefa
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                title:
                  type: string
                  minLength: 1
                  description: Título
                description:
                  description: Descrição. Texto ou JSON do editor
                status:
                  type: string
                  minLength: 1
                  description: Status
                initialDate:
                  type: string
                  description: Data inicial
                finalDate:
                  type: string
                  description: Data final
                taskId:
                  type: string
                  format: uuid
                  description: ID da tarefa pai
                responsiblesId:
                  type: array
                  items:
                    type: string
                    format: uuid
                  description: IDs dos responsáveis
                officeId:
                  type: string
                  format: uuid
                  description: ID do escritório
                priority:
                  type: string
                  minLength: 1
                  description: Prioridade
                points:
                  type: number
                  description: Pontos
                createSheet:
                  type: boolean
                  description: Cria o apontamento (TimeSheet) da subtarefa ao criá-la
              required:
                - title
                - status
                - initialDate
                - taskId
                - priority
              additionalProperties: false
        required: true
      responses:
        '201':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties: {}
                additionalProperties: true
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  statusCode:
                    type: number
                  translateMessage:
                    type: string
                required:
                  - message
                  - statusCode
                  - translateMessage
                additionalProperties: false
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  statusCode:
                    type: number
                  translateMessage:
                    type: string
                required:
                  - message
                  - statusCode
                  - translateMessage
                additionalProperties: false
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-juridiq-api-key
      description: >-
        Chave de API do escritório (criada no painel). Envie o valor no header
        x-juridiq-api-key.

````